/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJEFFECT_H_
#define _NJEFFECT_H_

typedef Float	NJS_FOG_TABLE[128];

extern	Float	_nj_depth_near_;
extern	Float	_nj_depth_far_;
extern	Float	_nj_depth_range_;
extern	Int		_nj_depth_enable_;

/************************/
/*	 Fog				*/
/************************/

void	njFogEnable(void);
void	njFogDisable(void);
void	njSetFogDensity(Uint32 density);
void	njSetFogColor(Uint32 c);
void	njSetFogTable(NJS_FOG_TABLE fog);
void	njGenerateFogTable(NJS_FOG_TABLE fog);
void	njGenerateFogTable2(NJS_FOG_TABLE fog, Float f);
void	njGenerateFogTable3(NJS_FOG_TABLE fog, Float n, Float f);
Uint32	njGenerateFogDensity(Float f);

/************************/
/*	 Fade				*/
/************************/
void	njFadeEnable(void);
void	njFadeDisable(void);
void	njSetFadeColor(Uint32 c);
void	njExecuteFade(Float f);


#endif
